- [HTTP request](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.aspect_1)

Update an External API resource in the API hub. The following fields can be updated:

- `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi.FIELDS.display_name`
- `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi.FIELDS.description`
- `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi.FIELDS.documentation`
- `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi.FIELDS.endpoints`
- `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi.FIELDS.paths`

The `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis/patch#body.QUERY_PARAMETERS.update_mask` should be used to specify the fields being updated.

### HTTP request

`PATCH https://apihub.googleapis.com/v1/{externalApi.name=projects/*/locations/*/externalApis/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `externalApi.name` | `string` Identifier. Format: `projects/{project}/locations/{location}/externalApi/{externalApi}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.externalApis#ExternalApi`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/apihub.readwrite`
- `
  https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `apihub.externalApis.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).